ClickExport

Export Clicks Asynchronously

get

Schedules a job to export daily clicks. It returns a URI to poll for job status updates and a URI to download the exported file once the job is complete.

Path parameters
AccountSIDstringRequired
ProgramIdintegerRequired

The ID of the program (campaign) to export clicks from.

Query parameters
AdIdinteger[]Optional

ID of the ad that was clicked. Can be repeated for multiple ads.

Datestring · dateOptional

The date for the clicks to be exported, in 'yyyy-MM-dd' format. Defaults to today. Only dates after April 9, 2024 are supported.

MediaIdinteger[]Optional

The unique ID of the partner. Can be repeated for multiple partners.

UniqueClickbooleanOptional

Filter for clicks that follow IAB standards for a unique click.

ResultFormatstring · enumOptional

The desired file format for the export.

Default: CSVPossible values:
Responses
200

The job has been queued successfully.

application/json
StatusstringOptionalExample: QUEUED
QueuedUristring · uri-referenceOptionalExample: /Advertisers/<AccountSID>/Jobs/d8807a9f-a5ee-4e3f-ad2b-3dfd19d1915f
ResultUristring · uri-referenceOptionalExample: /Advertisers/<AccountSID>/Jobs/d8807a9f-a5ee-4e3f-ad2b-3dfd19d1915f/Download
ReplayUristring · uri-referenceOptionalExample: /Advertisers/<AccountSID>/Jobs/d8807a9f-a5ee-4e3f-ad2b-3dfd19d1915f/Replay
get
/Advertisers/{AccountSID}/Programs/{ProgramId}/ClickExport
200

The job has been queued successfully.

Last updated